Package it.ernytech.tdlib

## Class TdApi.ChangePhoneNumber

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ChangePhoneNumber

Enclosing class:
  TdApi

    public static class TdApi.ChangePhoneNumber
    extends TdApi.Function

Changes the phone number of the user and sends an authentication code to the user's new phone number. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

### Field Summary

Fields
`boolean` `allowFlashCall` Pass true if the code can be sent via flash call to the specified phone number.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isCurrentPhoneNumber` Pass true if the phone number is used on the current device.
`java.lang.String` `phoneNumber` The new phone number of the user in international format.

### Constructor Summary

Constructors
`ChangePhoneNumber()` Default constructor.
`ChangePhoneNumber​(java.lang.String phoneNumber, boolean allowFlashCall, boolean isCurrentPhoneNumber)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### phoneNumber

    public java.lang.String phoneNumber

The new phone number of the user in international format.

#### allowFlashCall

    public boolean allowFlashCall

Pass true if the code can be sent via flash call to the specified phone number.

#### isCurrentPhoneNumber

    public boolean isCurrentPhoneNumber

Pass true if the phone number is used on the current device. Ignored if allowFlashCall is false.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChangePhoneNumber

    public ChangePhoneNumber()

Default constructor.

#### ChangePhoneNumber

    public ChangePhoneNumber​(java.lang.String phoneNumber,
                             boolean allowFlashCall,
                             boolean isCurrentPhoneNumber)

Constructor for initialization of all fields.

Parameters:
  `phoneNumber` - The new phone number of the user in international format.
  `allowFlashCall` - Pass true if the code can be sent via flash call to the specified phone number.
  `isCurrentPhoneNumber` - Pass true if the phone number is used on the current device. Ignored if allowFlashCall is false.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR